package com.ruoyi.project.process.service;

import java.util.List;
import com.ruoyi.project.process.domain.TAlarmmodify;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

/**
 * 报警值管理Service接口
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public interface ITAlarmmodifyService
{
    /**
     * 查询报警值管理
     *
     * @param id 报警值管理ID
     * @return 报警值管理
     */
    public TAlarmmodify selectTAlarmmodifyById(Long id);

    /**
     * 查询报警值管理列表
     *
     * @param tAlarmmodify 报警值管理
     * @return 报警值管理集合
     */
    public List<TAlarmmodify> selectTAlarmmodifyList(TAlarmmodify tAlarmmodify);

    /**
     * 新增报警值管理
     *
     * @param tAlarmmodify 报警值管理
     * @return 结果
     */
    public int insertTAlarmmodify(TAlarmmodify tAlarmmodify);

    /**
     * 修改报警值管理
     *
     * @param tAlarmmodify 报警值管理
     * @return 结果
     */
    public int updateTAlarmmodify(TAlarmmodify tAlarmmodify);

    /**
     * 批量删除报警值管理
     *
     * @param ids 需要删除的报警值管理ID
     * @return 结果
     */
    public int deleteTAlarmmodifyByIds(Long[] ids);

    /**
     * 删除报警值管理信息
     *
     * @param id 报警值管理ID
     * @return 结果
     */
    public int deleteTAlarmmodifyById(Long id);

    void dealAlarmmodify(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run);
}
